FROM python:3.11

WORKDIR /usr/src/app
ENV PYTHONPATH /usr/src/app
COPY requirements.txt ./

RUN pip config set global.index-url https://nexus.chaosoft.com.cn/repository/pypi-public/simple/ && pip install --no-cache-dir -r requirements.txt --trusted-host nexus.chaosoft.com.cn
